`timescale 100ps / 10ps
`include "../src/define.v"

module ddr_dq_io_16 (/*AUTOARG*/
   // Outputs
   ddr_dq_i, 
   // Inouts
   ddr_dq, 
   // Inputs
   ddr_dq_o, ddr_dq_t
   );
   inout  [`DDR_DATA_MSB:0]   ddr_dq;
   input  [`DDR_DATA_MSB:0]   ddr_dq_o;
   output [`DDR_DATA_MSB:0]   ddr_dq_i;
   input [`DDR_DATA_MSB:0]    ddr_dq_t;

   IOBUF_SSTL2_II dq0  (.I(ddr_dq_o[0]), .IO(ddr_dq[0]), .O(ddr_dq_i[0]), .T(ddr_dq_t[0]));
   IOBUF_SSTL2_II dq1  (.I(ddr_dq_o[1]), .IO(ddr_dq[1]), .O(ddr_dq_i[1]), .T(ddr_dq_t[1]));
   IOBUF_SSTL2_II dq2  (.I(ddr_dq_o[2]), .IO(ddr_dq[2]), .O(ddr_dq_i[2]), .T(ddr_dq_t[2]));
   IOBUF_SSTL2_II dq3  (.I(ddr_dq_o[3]), .IO(ddr_dq[3]), .O(ddr_dq_i[3]), .T(ddr_dq_t[3]));
   IOBUF_SSTL2_II dq4  (.I(ddr_dq_o[4]), .IO(ddr_dq[4]), .O(ddr_dq_i[4]), .T(ddr_dq_t[4]));
   IOBUF_SSTL2_II dq5  (.I(ddr_dq_o[5]), .IO(ddr_dq[5]), .O(ddr_dq_i[5]), .T(ddr_dq_t[5]));
   IOBUF_SSTL2_II dq6  (.I(ddr_dq_o[6]), .IO(ddr_dq[6]), .O(ddr_dq_i[6]), .T(ddr_dq_t[6]));
   IOBUF_SSTL2_II dq7  (.I(ddr_dq_o[7]), .IO(ddr_dq[7]), .O(ddr_dq_i[7]), .T(ddr_dq_t[7]));
   IOBUF_SSTL2_II dq8  (.I(ddr_dq_o[8]), .IO(ddr_dq[8]), .O(ddr_dq_i[8]), .T(ddr_dq_t[8]));
   IOBUF_SSTL2_II dq9  (.I(ddr_dq_o[9]), .IO(ddr_dq[9]), .O(ddr_dq_i[9]), .T(ddr_dq_t[9]));
   IOBUF_SSTL2_II dq10 (.I(ddr_dq_o[10]),.IO(ddr_dq[10]),.O(ddr_dq_i[10]),.T(ddr_dq_t[10]));
   IOBUF_SSTL2_II dq11 (.I(ddr_dq_o[11]),.IO(ddr_dq[11]),.O(ddr_dq_i[11]),.T(ddr_dq_t[11]));
   IOBUF_SSTL2_II dq12 (.I(ddr_dq_o[12]),.IO(ddr_dq[12]),.O(ddr_dq_i[12]),.T(ddr_dq_t[12]));
   IOBUF_SSTL2_II dq13 (.I(ddr_dq_o[13]),.IO(ddr_dq[13]),.O(ddr_dq_i[13]),.T(ddr_dq_t[13]));
   IOBUF_SSTL2_II dq14 (.I(ddr_dq_o[14]),.IO(ddr_dq[14]),.O(ddr_dq_i[14]),.T(ddr_dq_t[14]));
   IOBUF_SSTL2_II dq15 (.I(ddr_dq_o[15]),.IO(ddr_dq[15]),.O(ddr_dq_i[15]),.T(ddr_dq_t[15]));

endmodule




